scala.tools.cmd.gen

# AnyVals

#### object AnyVals extends AnyVals

Linear Supertypes
AnyVals, AnyValTemplates, AnyValReps, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnyVals
2. AnyVals
3. AnyValTemplates
4. AnyValReps
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### sealed abstract class AnyValNum extends AnyVals.AnyValRep

   Definition Classes
     AnyValReps

2. #### sealed abstract class AnyValRep extends AnyRef

   Definition Classes
     AnyValReps

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### object B extends AnyValNum

   Definition Classes
     AnyVals

7. #### object C extends AnyValNum

   Definition Classes
     AnyVals

8. #### object D extends AnyValNum

   Definition Classes
     AnyVals

9. #### object F extends AnyValNum

   Definition Classes
     AnyVals

10. #### object I extends AnyValNum

    Definition Classes
      AnyVals

11. #### object L extends AnyValNum

    Definition Classes
      AnyVals

12. #### object S extends AnyValNum

    Definition Classes
      AnyVals

13. #### object U extends AnyValRep

    Definition Classes
      AnyVals

14. #### object Z extends AnyValRep

    Definition Classes
      AnyVals

15. #### def allCompanions: String

    Definition Classes
      AnyValTemplates

16. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

17. #### def cardinal: collection.immutable.List[AnyValNum]

    Definition Classes
      AnyVals

18. #### def cardinalCompanion: String

    Definition Classes
      AnyValTemplates

19. #### def classDocTemplate: String

    Definition Classes
      AnyValTemplates

20. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### def floatingCompanion: String

    Definition Classes
      AnyValTemplates

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### def headerTemplate: String

    Definition Classes
      AnyValTemplates

28. #### def isFloatingType: Set[AnyValNum]

    Definition Classes
      AnyVals

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### def isIntegerType: Set[AnyValNum]

    Definition Classes
      AnyVals

31. #### def isSubrangeType: Set[AnyValNum]

    Definition Classes
      AnyVals

32. #### def isWideType: Set[AnyValNum]

    Definition Classes
      AnyVals

33. #### def make(): collection.immutable.List[(String, String)]

    Definition Classes
      AnyVals

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### def nonUnitCompanions: String

    Definition Classes
      AnyValTemplates

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def numeric: collection.immutable.List[AnyValNum]

    Definition Classes
      AnyVals

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def timestampString: String

    Definition Classes
      AnyValTemplates

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### def values: collection.immutable.List[AnyValRep]

    Definition Classes
      AnyVals

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyVals

### Inherited from AnyValTemplates

### Inherited from AnyValReps

### Inherited from AnyRef

### Inherited from Any

### Ungrouped